
%global		_hardened_build 1

#%%global		dev dev1

Name:		libntirpc
Version:        next.20231225.9f9abed
Release:	1%{?dev:%{dev}}%{?dist}
Summary:	New Transport Independent RPC Library
License:	BSD
Url:		https://github.com/nfs-ganesha/ntirpc

Source0:        https://github.com/nfs-ganesha/ntirpc/archive/v%{dev_version}/ntirpc-next.20231225.9f9abed.tar.gz

BuildRequires:	gcc cmake
BuildRequires:	krb5-devel
BuildRequires:  userspace-rcu-devel
%if ( 0%{?fedora} && 0%{?fedora} > 27 ) || ( 0%{?rhel} && 0%{?rhel} > 7 )
BuildRequires:  libnsl2-devel
%endif
# libtirpc has /etc/netconfig, most machines probably have it anyway
# for NFS client
Requires:	libtirpc

%description
This package contains a new implementation of the original libtirpc, 
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package devel
Summary:	Development headers for %{name}
Requires:	%{name}%{?_isa} = %{version}

%description devel
Development headers and auxiliary files for developing with %{name}.

%prep
%setup -q -n ntirpc

%build
%{cmake} . \
    -DOVERRIDE_INSTALL_PREFIX=/usr \
    -DCMAKE_COLOR_MAKEFILE:BOOL=OFF \
    -DTIRPC_EPOLL=1 \
    -DUSE_GSS=ON \
    "-GUnix Makefiles"

export GCC_COLORS=
export VERBOSE=1
%cmake_build %{?_smp_mflags}

%install
%cmake_install

ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.4

%files
%{_libdir}/libntirpc.so.*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README

%files devel
%{_libdir}/libntirpc.so
%{_includedir}/ntirpc/
%{_libdir}/pkgconfig/libntirpc.pc

%changelog
